= begin JA

# yot, 2015/04/29

= 概要

本プログラムは DCPAM 出力の NetCDF ファイルの水平解像度を, 線形内外挿により, 
変換します. 

= 使い方

== 必要ライブラリ

* NetCDF

== コンパイル

本プログラムは make によってプログラムをコンパイルします. 
Makefile 内の, 下の項目を適切に指定して make を実行します. 

* FC : Fortran コンパイラ
* FOPT : Fortran コンパイラオプション
* NCDIR : NetCDF ライブラリディレクトリ

== 実行

* 設定ファイル, conv_hres.conf, を編集
* 実行
  % conv_hres


= 設定ファイル

本プログラムは, namelist によって動作を設定することができます. 
namelist ファイル名は conv_hres.conf です.


== ファイル名の指定

下のように, inncfn, outncfn にそれぞれ入力, 出力ファイル名を指定します.

  &file
    inncfn  = "input.nc",
    outncfn = "output.nc"
  /

なお, この指定を複数行書いた場合, 最初の指定のみ有効となります. 

== 変換後の東西方向格子点数の指定

下のように, imax に, 変換後の東西方向格子点数を指定します. 

  &hres
    imax = 512
  /

上記の場合には, 打ち切り波数は (512-1)/3 = 170 となります. 

== 変換する時刻インデックスの指定 (省略可)

ファイルに含まれているすべての時刻の値を変換する必要のない場合, 
下のように ts, te に変換する時刻インデックスの最初と最後の値を
指定します. 

  &time
    ts = 1
    te = 1000000
  /

なお, すべての時刻のデータを変換する場合, te には時刻データ数を
超える値を指定することができます. 


== 正の値となる変数の指定 (省略可)

本プログラムは, 解像度変換において線形で内外挿するため, しばしば
正でなければならない物理量が変換後に負の値を持つことがあります. 
それら正でなけれならない値が負になった場合に強制的にゼロにするためには
下のように指定します. 

  &varsign
    PositiveVar = 'Var1', 'Var2', 'Var3'
  /


= end JA
